Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class KineticType.Element

    java.lang.Object
      biouml.standard.type.KineticType.Element

All Implemented Interfaces:
  SerializableAsText

Enclosing class:
  KineticType

public static class KineticType.Element
extends java.lang.Object
implements SerializableAsText

This class is used to specify roles for each element in kinetic function. The possible roles are:

- `Element.CONSTANT` (default value)
- `RelationType.REACTANT`
- `RelationType.PRODUCT`
- `RelationType.MODIFIER`

The Element can be stored as text (implements `SerializableAsText`) in following format:

    name role

Here are some examples:

    S reactant

    Km constant

Field Summary
`static java.lang.String` | `CONSTANT` String constant to indicate that `Element.role` is constant.

Constructor Summary
`KineticType.Element(java.lang.String value)` Restores the Element value from the string.
`KineticType.Element(java.lang.String name, java.lang.String role)` General constructor.

Method Summary
`java.lang.String` | `getAsText()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRole()`
`void` | `setRole(java.lang.String role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTANT

    public static final java.lang.String CONSTANT

  String constant to indicate that `Element.role` is constant.

  See Also:
    Constant Field Values

Constructor Detail

### KineticType.Element

    public KineticType.Element(java.lang.String name,
                               java.lang.String role)

  General constructor.

### KineticType.Element

    public KineticType.Element(java.lang.String value)

  Restores the Element value from the string.

Method Detail

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `SerializableAsText`

### getName

    public java.lang.String getName()

### getRole

    public java.lang.String getRole()

### setRole

    public void setRole(java.lang.String role)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.